Subject: bug#10677: closed (Re: bug#10677: [Chris Leyon] Re: bug#10677: 24.0.93; missing pathmax.h on Solaris)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 04 Mar 2012 18:12:02 +0000

Your bug report

#10677: 24.0.93; missing pathmax.h on Solaris

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
10677: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10677
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#10677: [Chris Leyon] Re: bug#10677: 24.0.93; missing pathmax.h on Solaris
From: Paul Eggert <[email-masked]>
To: Chong Yidong <[email-masked]>
Cc: [email-masked], Chris Leyon <[email-masked]>
Date: Sun, 04 Mar 2012 10:10:07 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 03/04/2012 01:48 AM, Chong Yidong wrote:
> Paul Eggert <[email-masked]> writes:
> 
>> On 03/03/2012 09:07 AM, Chris Leyon wrote:
>>
>>> Paul, your patch to configure.in worked on Solaris.
>>
>> Thanks.  Chong, OK if I install that?
> 
> Please do, thanks.

Thanks, I did that, and I'm marking this Solaris bug as done.

Subject: 24.0.93; missing pathmax.h on Solaris
From: Chong Yidong <[email-masked]>
To: [email-masked]
Date: Tue, 31 Jan 2012 15:17:00 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

I received the following compile failure on Solaris (SunOS 5.10).

Paul, could you investigate?  Thanks.  (Keeping my fingers crossed that
the proferred solution is not going to be a Gnulib sync ;-)

--

Hi, I'm attempting to compile Emacs 24.0.93 on my work Solaris box but
pathmax.h is not found.

Uname -a reports
SunOS morocco 5.10 Generic_127111-11 sun4u sparc SUNW,Sun-Fire-V490 Solaris
I'm compiling with gcc --version
gcc (GCC) 3.4.6

I'm afraid I have no control over the system software that's installed
here...  That's why I compile into my home directory.  This exact same
machine compiled Emacs 23.3 without any problems at all.

The configuration is nothing special:
bash-4.1$ ./configure --prefix=/home/leyon/contrib
--with-x-toolkit=lucid --with-gif=no

The exact error is:
bash-4.1$ make
[ -r "/home/leyon/morocco/emacs-24.0.93/src/config.in" ] || ( cd
/home/leyon/morocco/emacs-24.0.93 && autoheader )
cd lib; make all                            \
  CC='gcc -std=gnu99' CFLAGS='-g -O2' CPPFLAGS='' \
  LDFLAGS='-L/usr/openwin/lib' MAKE='make'
make  all-am
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../src
-I/home/leyon/morocco/emacs-24.0.93/src      -g -O2 -MT stat.o -MD -MP
-MF .deps/stat.Tpo -c -o stat.o stat.c
stat.c:50:22: pathmax.h: No such file or directory
*** Error code 1
make: Fatal error: Command failed for target `stat.o'
Current working directory /home/leyon/morocco/emacs-24.0.93/lib
*** Error code 1
make: Fatal error: Command failed for target `all'
Current working directory /home/leyon/morocco/emacs-24.0.93/lib
*** Error code 1
make: Fatal error: Command failed for target `lib'

If you would like any further information I'd be happy to assist.